diff --git a/dist/thirdweb-dev-storage.browser.esm.js b/dist/thirdweb-dev-storage.browser.esm.js
index f158bc9cec53784275d4d4e23e3c40921b9ba349..d8f0568ed253ee53510fe9c5960503b256be3631 100644
--- a/dist/thirdweb-dev-storage.browser.esm.js
+++ b/dist/thirdweb-dev-storage.browser.esm.js
@@ -39,7 +39,9 @@ function _defineProperty(obj, key, value) {
  */
 const DEFAULT_GATEWAY_URLS = {
   // Note: Gateway URLs should have trailing slashes (we clean this on user input)
-  "ipfs://": ["https://ipfs.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/"]
+  "ipfs://": ["https://ipfs-2.thirdwebcdn.com/ipfs/", "https://ipfs-3.thirdwebcdn.com/ipfs/", "https://ipfs-4.thirdwebcdn.com/ipfs/", "https://ipfs-5.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/",
+  // TODO this one can become the default again once it's stable (no more VT issues)
+  "https://ipfs.thirdwebcdn.com/ipfs/"]
 };
 
 /**
@@ -275,7 +277,7 @@ function replaceObjectFilesWithUris(data, uris) {
 
 async function getCIDForUpload(data, fileNames) {
   let wrapWithDirectory = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
-  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
+  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;
   const contentWithPath = await Promise.all(data.map(async (file, i) => {
     const path = fileNames[i];
     let content;
@@ -302,7 +304,7 @@ async function getCIDForUpload(data, fileNames) {
 }
 async function getCID(content) {
   let wrapWithDirectory = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
-  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
+  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
   const options = {
     onlyHash: true,
     wrapWithDirectory,
@@ -512,7 +514,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {
diff --git a/dist/thirdweb-dev-storage.cjs.dev.js b/dist/thirdweb-dev-storage.cjs.dev.js
index 08a509c2250c192703ebc01fc49f07644a41c176..9d4ed516c6915ae3a946287ff6a0ca6e82ad2b6d 100644
--- a/dist/thirdweb-dev-storage.cjs.dev.js
+++ b/dist/thirdweb-dev-storage.cjs.dev.js
@@ -48,7 +48,9 @@ function _defineProperty(obj, key, value) {
  */
 const DEFAULT_GATEWAY_URLS = {
   // Note: Gateway URLs should have trailing slashes (we clean this on user input)
-  "ipfs://": ["https://ipfs.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/"]
+  "ipfs://": ["https://ipfs-2.thirdwebcdn.com/ipfs/", "https://ipfs-3.thirdwebcdn.com/ipfs/", "https://ipfs-4.thirdwebcdn.com/ipfs/", "https://ipfs-5.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/",
+  // TODO this one can become the default again once it's stable (no more VT issues)
+  "https://ipfs.thirdwebcdn.com/ipfs/"]
 };
 
 /**
@@ -284,7 +286,7 @@ function replaceObjectFilesWithUris(data, uris) {
 
 async function getCIDForUpload(data, fileNames) {
   let wrapWithDirectory = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
-  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
+  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;
   const contentWithPath = await Promise.all(data.map(async (file, i) => {
     const path = fileNames[i];
     let content;
@@ -311,7 +313,7 @@ async function getCIDForUpload(data, fileNames) {
 }
 async function getCID(content) {
   let wrapWithDirectory = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
-  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
+  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
   const options = {
     onlyHash: true,
     wrapWithDirectory,
@@ -527,7 +529,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {
diff --git a/dist/thirdweb-dev-storage.cjs.prod.js b/dist/thirdweb-dev-storage.cjs.prod.js
index fa4e68780684a4e1c2819544610f768bfd39d761..e04fd9e185387a7874ea3551c3f95271a842c1bd 100644
--- a/dist/thirdweb-dev-storage.cjs.prod.js
+++ b/dist/thirdweb-dev-storage.cjs.prod.js
@@ -48,7 +48,9 @@ function _defineProperty(obj, key, value) {
  */
 const DEFAULT_GATEWAY_URLS = {
   // Note: Gateway URLs should have trailing slashes (we clean this on user input)
-  "ipfs://": ["https://ipfs.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/"]
+  "ipfs://": ["https://ipfs-2.thirdwebcdn.com/ipfs/", "https://ipfs-3.thirdwebcdn.com/ipfs/", "https://ipfs-4.thirdwebcdn.com/ipfs/", "https://ipfs-5.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/",
+  // TODO this one can become the default again once it's stable (no more VT issues)
+  "https://ipfs.thirdwebcdn.com/ipfs/"]
 };
 
 /**
@@ -284,7 +286,7 @@ function replaceObjectFilesWithUris(data, uris) {
 
 async function getCIDForUpload(data, fileNames) {
   let wrapWithDirectory = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
-  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
+  let cidVersion = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;
   const contentWithPath = await Promise.all(data.map(async (file, i) => {
     const path = fileNames[i];
     let content;
@@ -311,7 +313,7 @@ async function getCIDForUpload(data, fileNames) {
 }
 async function getCID(content) {
   let wrapWithDirectory = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
-  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
+  let cidVersion = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
   const options = {
     onlyHash: true,
     wrapWithDirectory,
@@ -527,7 +529,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {
diff --git a/dist/thirdweb-dev-storage.esm.js b/dist/thirdweb-dev-storage.esm.js
index 3c0087bd0e33ef7b99f9a08c3d2d987a053f9bb1..56ce684e4c1daa82e4f8f620df1c54c0d0568d8f 100644
--- a/dist/thirdweb-dev-storage.esm.js
+++ b/dist/thirdweb-dev-storage.esm.js
@@ -39,7 +39,9 @@ function _defineProperty(obj, key, value) {
  */
 const DEFAULT_GATEWAY_URLS = {
   // Note: Gateway URLs should have trailing slashes (we clean this on user input)
-  "ipfs://": ["https://ipfs.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/"]
+  "ipfs://": ["https://ipfs-2.thirdwebcdn.com/ipfs/", "https://ipfs-3.thirdwebcdn.com/ipfs/", "https://ipfs-4.thirdwebcdn.com/ipfs/", "https://ipfs-5.thirdwebcdn.com/ipfs/", "https://cloudflare-ipfs.com/ipfs/", "https://ipfs.io/ipfs/",
+  // TODO this one can become the default again once it's stable (no more VT issues)
+  "https://ipfs.thirdwebcdn.com/ipfs/"]
 };
 
 /**
@@ -518,7 +520,8 @@ class IpfsUploader {
     form.append("pinataMetadata", JSON.stringify(metadata));
     if (options?.uploadWithoutDirectory) {
       form.append("pinataOptions", JSON.stringify({
-        wrapWithDirectory: false
+        wrapWithDirectory: false,
+        cidVersion: 1
       }));
     }
     return {